From 12850e10e87e349f7e37408ed4b83826d056cdd1 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 23 Oct 2014 21:07:03 +0200
Subject: [PATCH] fix wan/lan mac for 4900er


Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 .../mpc85xx/base-files/etc/uci-defaults/02_network |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/target/linux/mpc85xx/base-files/etc/uci-defaults/02_network b/target/linux/mpc85xx/base-files/etc/uci-defaults/02_network
index 10a2cc8..e3445a3 100755
--- a/target/linux/mpc85xx/base-files/etc/uci-defaults/02_network
+++ b/target/linux/mpc85xx/base-files/etc/uci-defaults/02_network
@@ -24,6 +24,8 @@ touch /etc/config/network
 
 . /lib/functions/uci-defaults.sh
 . /lib/mpc85xx.sh
+. /lib/functions.sh
+. /lib/functions/system.sh
 
 ucidef_set_interface_loopback
 
@@ -35,8 +37,10 @@ tl-wdr4900-v1)
 	ucidef_add_switch "switch0" "1" "1"
 	ucidef_add_switch_vlan "switch0" "1" "0t 2 3 4 5"
 	ucidef_add_switch_vlan "switch0" "2" "0t 1"
-	tplink_set_mac lan -2
-	tplink_set_mac wan 1
+	ucidef_set_interface_macaddr lan "$(mtd_get_mac_binary config 338)"
+	ucidef_set_interface_macaddr wan "$(mtd_get_mac_binary config 344)"
+#	tplink_set_mac lan -2
+#	tplink_set_mac wan 1
 	;;
 
 *)
-- 
1.7.2.5

